<h1>Welcome <%= h current_user.name %>!</h1>

<h3>Mes Agents</h3>

<p><%= form_for current_agent, url: '/my/current_agent', method: :patch do |f| %>
    En cours : <%= f.submit('select') %>
    <%= f.select(:id, options_for_select(current_user.agents.map { |a| [a.name, a.id] }, current_agent.id)) %>
<% end %></p>


<section id="global_stats">
    <h2>Global Count</h2>
    <p><%#= @stats[:counts].map { |k,v| pluralize(k.to_s.singularize, v) }.to_sentence %></p>
    <p><%= p @stats[:count] %>
</section>

<section id="current_agent_stats">
    <h2>Current Agent: <%= current_agent %></h2>
    <p><%#= @stats[:current_agent][:counts].map { |k,v| pluralize(k.to_s.singularize, v) }.to_sentence %></p>
    <%= render partial: current_agent %>
</section>
